Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
ModBalancerT< D > Class Template Reference
Inheritance diagram for ModBalancerT< D >:

## Public Types
typedef OpenMesh::Decimater::ModQuadricT < D > | BaseModQ
typedef size_t | level_t
Public Types inherited from OpenMesh::Decimater::ModBaseT< MeshT >
enum | { ILLEGAL_COLLAPSE = -1, LEGAL_COLLAPSE = 0 }
typedef MeshT | Mesh
typedef CollapseInfoT< MeshT > | CollapseInfo

## Public Member Functions
| DECIMATING_MODULE (ModBalancerT, D, Balancer)
| ModBalancerT (D &_dec)
| Constructor.
virtual | ~ModBalancerT ()
| Destructor.
void | initialize (void)
| Initalize the module and prepare the mesh for decimation.
virtual float | collapse_priority (const CollapseInfo &_ci)
void | postprocess_collapse (const CollapseInfo &_ci)
| post-process halfedge collapse (accumulate quadrics)
level_t | max_level (void) const
level_t | bits_for_roots (void) const
Public Member Functions inherited from OpenMesh::Decimater::ModQuadricT< MeshT >
| DECIMATING_MODULE (ModQuadricT, MeshT, Quadric)
| ModQuadricT (MeshT &_mesh)
virtual | ~ModQuadricT ()
| Destructor.
void | set_error_tolerance_factor (double _factor)
| set the percentage of maximum quadric error
void | set_max_err (double _err, bool _binary=true)
void | unset_max_err (void)
double | max_err () const
| Return value of max. allowed error.
Public Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
virtual | ~ModBaseT ()
| Virtual desctructor.
| DECIMATER_MODNAME (ModBase)
| Set module's name (using DECIMATER_MODNAME macro)
bool | is_binary (void) const
| Returns true if criteria returns a binary value.
void | set_binary (bool _b)
| Set whether module is binary or not.
virtual void | preprocess_collapse (const CollapseInfoT< MeshT > &)

## Static Public Member Functions
static level_t | calc_bits_for_roots (size_t _n_vertices)

## Private Member Functions
void | set_binary (bool _b)
| hide this method

## Private Attributes
OpenMesh::VPropHandleT< level_t > | level_
level_t | max_level_
level_t | n_roots_
size_t | n_vertices_

## Static Private Attributes
static const double | inv_log2_ = 1.0/std::log(2.0)

## Additional Inherited Members
Protected Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
| ModBaseT (MeshT &_mesh, bool _is_binary)
MeshT & | mesh ()
| Access the mesh associated with the decimater.
Protected Attributes inherited from OpenMesh::Decimater::ModBaseT< MeshT >
double | error_tolerance_factor_

## Detailed Description

### template<class D>
class ModBalancerT< D >

Definition at line 77 of file mkbalancedpm.cc.

## Member Function Documentation

template<class D >

virtual float ModBalancerT< D >::collapse_priority | ( | const CollapseInfo & | _ci | ) |
| inline virtual

Compute collapse priority based on error quadrics.

See also
  ModBaseT::collapse_priority() for return values
  set_max_err()

Reimplemented from OpenMesh::Decimater::ModQuadricT< MeshT >.

Definition at line 122 of file mkbalancedpm.cc.

The documentation for this class was generated from the following file:

- libs_required/OpenMesh/src/OpenMesh/Apps/VDProgMesh/mkbalancedpm/mkbalancedpm.cc